Description

The DICOM parser in dcmdata has a global setting named "dcmEnableAutomaticinputDataCorrection" that enables a few silent data
corrections when reading DICOM files, such as replacing incorrect space paddings at the end of a UID, or removing padding
characters from other text fields. The parser does not, however, silently fix illegal zero bytes used as pad bytes, as can be seen in
the attached (anonymized) example file.

It should be trivial for all classes derived from DcmByteString to silently remove such trailing zero bytes, just as if they were space
characters.

Things would be more complicated for DcmCharString, where trailing zero bytes might actually be part of a multi-byte character when
a multi-byte character set other than UTF-8 is active.

In any case, it would be desirable to provide an automatic data correction of illegal zero bytes when
dcmEnableAutomaticlnputDataCorrection is on.

History

#1 - 2022-05-04 12:17 - Marco Eichelberg

Update: None of the multi-byte character sets supported by the DICOM standard use a zero byte in a multi-byte character sequence. It is, therefore,
safe to remove trailing zero bytes.

#2 - 2025-02-04 15:23 - Marco Eichelberg
- Status changed from New to Closed

- Assignee set to Marco Eichelberg

- % Done changed from 0 to 100

- Estimated time set to 1:00 h

Closed by commit #31924835b.

Files

trailing_zero_bytes.dcm 74.3 KB 2022-01-12 Marco Eichelberg

2025-09-06 1/1



http://www.tcpdf.org

